#
# spec file for package python-jaraco.classes
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-jaraco.classes
Version:        3.4.0
Release:        1.2
Summary:        Tools to work with classes
License:        MIT
URL:            https://github.com/jaraco/jaraco.classes
Source0:        https://files.pythonhosted.org/packages/source/j/jaraco.classes/jaraco.classes-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.8}
BuildRequires:  %{python_module more-itertools}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools >= 56}
BuildRequires:  %{python_module setuptools_scm >= 3.4.1}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-more-itertools
BuildArch:      noarch
%python_subpackages

%description
jaraco.classes Tools for working with classes.

%prep
%setup -q -n jaraco.classes-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc docs/*.rst README.rst NEWS.rst
%dir %{python_sitelib}/jaraco
%{python_sitelib}/jaraco/classes
%{python_sitelib}/jaraco.classes-%{version}.dist-info

%changelog
* Wed Apr  3 2024 Dirk Müller <dmueller@suse.com>
- update to 3.4.0:
  * Better type hints for NonDataProperty.
* Sat Mar 16 2024 Dirk Müller <dmueller@suse.com>
- update to 3.3.1:
  * No significant changes.
* Fri Jan  5 2024 Dirk Müller <dmueller@suse.com>
- update to 3.3.0:
  * Features - Require Python 3.8 or later.
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Fri Oct 28 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to v3.2.3
  * #7: Enabled badge with link to docs in the readme.
* Mon Aug 29 2022 Ben Greiner <code@bnavigator.de>
- update to 3.2.2
  * Refreshed package metadata.
  * Enrolled with Tidelift.
- Switch to PEP517 and remove obsolete jaraco.base requirement
* Mon Aug 29 2022 Steve Kowalik <steven.kowalik@suse.com>
- Add missing more-itertools to {Build,}Requires.
* Sun Mar 27 2022 Dirk Müller <dmueller@suse.com>
- update to 3.2.1:
  * Refreshed package metadata.
  * Switched to native namespace for jaraco package.
* Mon Mar  9 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 3.1.0
  * Project now requires Python 3.6 or later.
  * classproperty decorator now supplies a classproperty.Meta class.
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Wed Feb 27 2019 John Vandenberg <jayvdb@gmail.com>
- Remove bcond_with test, allowing tests suite to run
- Remove undesirable build dependencies pytest-flake8, pytest-sugar &
  collective.checkdocs
- Add missing runtime dependency on python-jaraco.base
- Add explicit build dependency on python-six
- Compile manually due to switch to pkgutil namespace technique
- Add LICENSE
- Update to v2.0
  * Switch to pkgutil namespace technique  for the ``jaraco`` namespace.
* Thu Aug 23 2018 dheidler@suse.de
- Initial Package for v1.5
